Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SensorBehaviorTeamMessage Class Reference

`#include <SensorBehaviorTeamMessage.h>`

List of all members.

## Public Member Functions
| SensorBehaviorTeamMessage ()
| ~SensorBehaviorTeamMessage ()
## Public Attributes
double | walkrequestX
double | walkrequestY
double | walkrequestR
int | takePicture
double | headrequestPan
double | headrequestTilt
double | headrequestTilt2
int | status
int | spezialAction

## Constructor & Destructor Documentation

SensorBehaviorTeamMessage::SensorBehaviorTeamMessage | ( |  | ) |

| Definition at line 8 of file SensorBehaviorTeamMessage.cpp. References headrequestPan, headrequestTilt, headrequestTilt2, spezialAction, and takePicture.

SensorBehaviorTeamMessage::~SensorBehaviorTeamMessage | ( |  | ) |

| Definition at line 18 of file SensorBehaviorTeamMessage.cpp.

## Member Data Documentation

double SensorBehaviorTeamMessage::walkrequestX

| Definition at line 23 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), and operator>>().

double SensorBehaviorTeamMessage::walkrequestY

| Definition at line 23 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), and operator>>().

double SensorBehaviorTeamMessage::walkrequestR

| Definition at line 23 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), and operator>>().

int SensorBehaviorTeamMessage::takePicture

| Definition at line 25 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and SensorBehaviorTeamMessage().

double SensorBehaviorTeamMessage::headrequestPan

| Definition at line 27 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and SensorBehaviorTeamMessage().

double SensorBehaviorTeamMessage::headrequestTilt

| Definition at line 27 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and SensorBehaviorTeamMessage().

double SensorBehaviorTeamMessage::headrequestTilt2

| Definition at line 27 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and SensorBehaviorTeamMessage().

int SensorBehaviorTeamMessage::status

| Definition at line 30 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), and operator>>().

int SensorBehaviorTeamMessage::spezialAction

| Definition at line 31 of file SensorBehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and SensorBehaviorTeamMessage().

The documentation for this class was generated from the following files:

- Modules/SensorBehaviorControl/SensorBehaviorTeamMessage.h
- Modules/SensorBehaviorControl/SensorBehaviorTeamMessage.cpp